/**
 * @description 服务器相关数据
 * @author 邹勇
 */
export class HttpData {

    /** 服务器类型 0测试服 1正式服 2李扬服 3悍国服 */
    public serverType: number = 0;

    public getServerUrl(): string {
        switch (this.serverType) {
            case 0:
                return ServerUrl.test;
            case 1:
                return ServerUrl.formal;
            case 2:
                return ServerUrl.liyang;
            case 3:
                return ServerUrl.hanguo;
        }
        return ServerUrl.formal;
    }

}


export enum ServerUrl {
    test = 'https://cutfruitage-test.duiweize.com/', //测试服地址
    formal = '',    //正式服地址
    liyang = 'http://172.16.15.231:9162/',  //李杨服地址
    hanguo = 'http://172.16.15.167:9162/',  //悍国服地址
}